Subject: bug#31786: 'pre-inst-env guix --version' is not updated by new commits"

From: [email-masked] (Ludovic Courtès)
Date: Thu, 14 Jun 2018 18:36:31 +0200

Hi George,

George Clemmer <[email-masked]> skribis:

> Leo Famulari <[email-masked]> writes:
>
>> On Wed, Jun 13, 2018 at 08:54:49AM +0200, Ludovic Courtès wrote:
>>> The other aspect, from a maintenance and readability viewpoint, is that
>>> we could quickly add up lots of explanations that we’ll have to keep
>>> up-to-date and that may make more important information harder to find.
>>
>> Yeah, I'm worried about this too. It's tough to strike the correct
>> balance.
>
> IMO Guix is great for hackers, maintainers and sysops. The doc is
> appropriate for such users, well done, spare, and already voluminous.
>
> This footnote suggestion, and others rejected in the past, are motivated
> by my assumption that you will want to make Guix attractive to less
> sophisticated users.
>
> Maybe my assumption is wrong? Maybe you want only "elite" users?

No, definitely not; I’m sorry if this is the impression this gave.

Like I wrote, my main concern is about keeping the documentation focused
and maintainable.  Sometimes we have to document things that are
technically outside of Guix because there’s no real canonical
documentation and because users would be impaired without it—I’m
thinking for instance of bits in the “Preparing for Installation”
section.

In this case, we’d be documenting something that’s both outside of Guix
and not vital for routine usage, and that’s mostly covered by the
Autoconf manual.  Hence my reluctance.

I hope that makes sense.

Ludo’.